apeman-dev-commons-deploying
===========

[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]

apeman dev common module for deploying.


Installation
------------

Install module via [npm][npm_url].

```bash
# Install as local module.
$ npm install apeman-dev-commons-deploying --save
```

Usage
-----

### deployGhPages

Deploy a directory to Github Pages.

```javascript
#!/usr/bin/env node

var deploying = require('apeman-dev-commons-deploying');

deploying.deployGhPages('docs', {

}, function(err){
    /*...*/
});
```

License
-------

This software is released under the [MIT License][my_license_url].


Links
-----

+ [apeman][apeman_url]
+ [GitHub Pages](https://pages.github.com/)

[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[my_repo_url]: https://github.com/apeman-repo/apeman-dev-commons-deploying
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-dev-commons-deploying
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-dev-commons-deploying.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-dev-commons-deploying/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-dev-commons-deploying
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-dev-commons-deploying.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/apeman-repo/apeman-dev-commons-deploying.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-dev-commons-deploying
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-dev-commons-deploying.svg?style=flat